Synchronet now requires the libarchive development package (e.g. libarchive-dev on Debian-based Linux distros, libarchive.org for more info) to build successfully.

Commits (1)
......@@ -518,6 +518,13 @@ int conn_socket_connect(struct bbslist *bbs)
goto connected;
}
}
else {
if (kbhit()) {
failcode = FAILURE_ABORTED;
closesocket(sock);
sock = INVALID_SOCKET;
}
}
}
connected:
......